#pragma once

#include <irrlicht.h>
using namespace irr;

class CodingUtils
{
	public:
		//Constants
		static const int BLOCKS_COUNT = 10;

		//Maths
		static int getRandomBetween(int aMin, int aMax);

		//Building placement
		static int calculateSubRects(const core::rectf& inRect, int divisions);
		static const core::rectf* getSubRectsArray();
		static core::rectf shrinkRect(const core::rectf inRect, float ratio);


	private:
		static void divieRectInHalf(const core::rectf& inRect, core::rectf& outRect1, core::rectf& outRect2, bool divideX);

	private:
		static core::rectf s_subRects[16];	//We wont be using all 16 at the same time.
		static bool s_isHorizontal;
};
